VectorLinux
September 01, 2014, 05:26:44 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: HP Photosmart C4180 All-in-One  (Read 3942 times)
Alb
Member
*
Posts: 74


« on: December 25, 2010, 07:20:00 am »

Hello,
I'm using VL6.0 Light with satisfaction. A few days ago I removed Gimp and installed another version of it. Its removal took away even HPLIPS and CUPS packages that I need for my HP Photosmart C4180 All-in-One, so I installed them again, but now when I launch hp-setup, hplip does not find the driver which is (according the Web CUPS Site): HP Photosmart c4100 Series Foomatic/hpijs 2.8.12.26 (en), I follow the procedure, install it but at the end a message says: "Printer queue setup failed. Please restart CUPS and try again". In spite of that the driver is installed and I can even print the HP Printer Test Page, but next time I have to use HPLIP again appears the message that says the driver .ppd is missing Huh.

If I look at /etc/cups/printers.conf I see:

# Printer configuration file for CUPS v1.3.10
# Written by cupsd on 2010-12-25 12:02
<Printer Photosmart_C4100>
Info Photosmart_C4100
DeviceURI hp:/usb/Photosmart_C4100_series?serial=MY6B2G13J904J7
State Idle
StateTime 1284451430
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>
<DefaultPrinter Printer>
Info HP Photosmart
Location Home

Besides, in /etc/cups/ppd
I find:
Photosmart_C4100.ppd (which I think it was the one that came with VL6.0 installation .iso and Printer.ppd which is the one made by Web CUPS Printer configuration.
Before uninstalling Gimp, however, my HP all-in-one used to work all right.
Best Regards
Logged
bigpaws
Vectorian
****
Posts: 1847


« Reply #1 on: December 25, 2010, 11:11:23 am »

Open a web browser and type:

localhost:631

If that fails then you need to start cups by opening
a terminal. Type: su
Now enter root password

Now type:

sh /etc/rc.d/rc.cups start

Try adding your printer there.

Bigpaws
Logged
Alb
Member
*
Posts: 74


« Reply #2 on: December 26, 2010, 03:20:58 am »

Hello,
I installed successfully my Photosmart as you can see here:

http://localhost:631/printers/
Photosmart_C4100
Description: Photosmart_C4100
Location:
Printer Driver: HP Photosmart c4100 Series Foomatic/hpijs, hpijs 2.8.12.26
Printer State: processing, accepting jobs, published.
Device URI: hp:/usb/Photosmart_C4100_series?serial=MY6B2G13J904J7

Printer (Default Printer)
Description: HP Photosmart C 4180
Location: Home
Printer Driver: HP Photosmart c4100 Series Foomatic/hpijs, hpijs 2.8.12.26
Printer State: idle, accepting jobs, published.
Device URI: usb://HP/Photosmart%20C4100%20series?serial=MY6B2G13J904J7

Then I opened a terminal as "root" and typed: sh /etc/rc.d/rc.cups start

At last I launched HPLIP (HP-TOOLBOX) and this time I did not receive any message about the .ppd driver but this one:

"ERROR: hp-systray must be running to get device status. hp-systray requires dbus support. Device status will not be available".

(To think that all this mess was caused by just a program (Gimp) removal!)

With my best Season's Greetings,
Alberto
Logged
Alb
Member
*
Posts: 74


« Reply #3 on: December 26, 2010, 11:36:39 am »

Hello,
In the meantime I discovered the command hp-check -t and launched it. Some errors were found.
Here is its output:

root:# hp-check -t

HP Linux Imaging and Printing System (ver. 2.8.12)
Dependency/Version Check Utility ver. 14.1

Copyright (c) 2001-8 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                   
2. Run-time check mode (-r or --run): Use this mode to determine if a distro   
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                     
3. Both compile- and run-time check mode (-b or --both) (Default): This mode   
will check both of the above cases (both compile- and run-time dependencies).   

Saving output in log file: hp-check.log

Initializing. Please wait...
warning: Invalid ppd_dir value: None

---------------
| SYSTEM INFO |
---------------

Basic system information:
Linux vector.linux.net 2.6.27.12 #1 SMP PREEMPT Thu Jan 22 00:12:35 MST 2009 i686 Pentium III (Katmai) GenuineIntel GNU/Linux

Distribution:
unknown 0.0

HPOJ running?
No, HPOJ is not running (OK).

Checking Python version...
OK, version 2.5.2 installed

Checking PyQt 3.x version...
OK, version 3.17 installed.

Checking PyQt 4.x version...

Checking for CUPS...
Status: scheduler is running
Version: 1.3.10
error_log is set to level: info
note: For troubleshooting printing issues, it is best to have the CUPS 'LogLevel'
note: set to 'debug'. To set the LogLevel to debug, edit the file /etc/cups/cupsd.conf (as root),
note: and change the line near the top of the file that begins with 'LogLevel' to read:
note: LogLevel debug
note: Save the file and then restart CUPS (see your OS/distro docs on how to restart CUPS).
note: Now, when you print, helpful debug information will be saved to the file:
note: /var/log/cups/error_log
note: You can monitor this file by running this command in a console/shell:
note: tail -f /var/log/cups/error_log

Checking for dbus/python-dbus...
dbus daemon is running.
python-dbus version: 0.82.4


------------------------------------
| COMPILE AND RUNTIME DEPENDENCIES |
------------------------------------

note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).

Checking for dependency: cups - Common Unix Printing System...
OK, found.

Checking for dependency: cups-ddk - CUPS driver development kit...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: cups-devel- Common Unix Printing System development files...
OK, found.

Checking for dependency: dbus - Message bus system...
OK, found.

Checking for dependency: gcc - GNU Project C and C++ Compiler...
OK, found.

Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
OK, found.

Checking for dependency: libcrypto - OpenSSL cryptographic library...
OK, found.

Checking for dependency: libjpeg - JPEG library...
OK, found.

Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
OK, found.

Checking for dependency: libpthread - POSIX threads library...
OK, found.

Checking for dependency: libtool - Library building support services...
OK, found.

Checking for dependency: libusb - USB library...
OK, found.

Checking for dependency: make - GNU make utility to maintain groups of programs...
OK, found.

Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: ppdev - Parallel port support kernel module....
error: NOT FOUND! This is a REQUIRED/RUNTIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: PyQt 3- Qt interface for Python (for Qt version 3.x)...
OK, found.

Checking for dependency: PyQt 4- Qt interface for Python (for Qt version 4.x)...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: python-ctypes - A foreign function library for Python...
OK, found.

Checking for dependency: python-dbus - Python bindings for dbus...
OK, found.

Checking for dependency: python-devel - Python development files...
OK, found.

Checking for dependency: Python XML libraries...
OK, found.

Checking for dependency: Python 2.3 or greater - Required for fax functionality...
OK, found.

Checking for dependency: Python 2.2 or greater - Python programming language...
OK, found.

Checking for dependency: Reportlab - PDF library for Python...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: SANE - Scanning library...
OK, found.

Checking for dependency: SANE - Scanning library development files...
OK, found.

Checking for dependency: scanimage - Shell scanning program...
OK, found.

Checking for dependency: xsane - Graphical scanner frontend for SANE...
OK, found.


----------------------
| HPLIP INSTALLATION |
----------------------


Currently installed HPLIP version...
HPLIP 2.8.12 currently installed in '/usr/share/hplip'.

Current contents of '/etc/hp/hplip.conf' file:
[dirs]
run = /var/run
cupsbackend = /usr/lib/cups/backend
ppd = /usr/share/cups/model/HP
doc = /usr/doc/hplip-2.8.12
drv = /usr/share/cups/drv/hp
ppdbase = /usr/share/cups/model
home = /usr/share/hplip
icon = /usr/share/applications
cupsfilter = /usr/lib/cups/filter

[hplip]
version = 2.8.12

[installation]
version = 2.8.12.26
date_time = 12/26/10 19:43:43

[configure]
foomatic-rip-hplip-install = yes
qt4 = no
doc-build = yes
qt3 = yes
cups11-build = no
gui-build = yes
internal-tag = 2.8.12.26
foomatic-ppd-install = yes
network-build = yes
ui-toolkit = qt3
pp-build = yes
fax-build = yes
scanner-build = yes
restricted-build = no
dbus-build = yes
shadow-build = no
foomatic-drv-install = yes



Current contents of '~/.hplip/hplip.conf' file:


-------------------------------
| DISCOVERED PARALLEL DEVICES |
-------------------------------

No devices found.
error: 'ppdev' kernel module not loaded.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model                     
  --------------------------------  --------------------------
  hp:/usb/Photosmart_C4100_series?  HP Photosmart C4100 series
  serial=MY6B2G13J904J7                                       

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
Photosmart_C4100
----------------
Type: Printer
Installed in HPLIP?: Yes, using the hp: CUPS backend.
Device URI: hp:/usb/Photosmart_C4100_series?serial=MY6B2G13J904J7
PPD: /etc/cups/ppd/Photosmart_C4100.ppd
PPD Description: HP Photosmart c4100 Series Foomatic/hpijs, hpijs 2.8.12.26
Printer status: printer Photosmart_C4100 now printing Photosmart_C4100-0.  enabled since Sun 26 Dec 2010 07:23:48 PM CET
Communication status: Good

Printer
-------
Type: Unknown
Installed in HPLIP?: No, not using the hp: or hpfax: CUPS backend.
Device URI: usb://HP/Photosmart%20C4100%20series?serial=MY6B2G13J904J7
PPD: /etc/cups/ppd/Printer.ppd
PPD Description: HP Photosmart c4100 Series Foomatic/hpijs, hpijs 2.8.12.26
Printer status: printer Printer is idle.  enabled since Sat 25 Dec 2010 11:59:00 AM CET
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend to function in HPLIP.

----------------------
| SANE CONFIGURATION |
----------------------

'hpaio' in '/etc/sane.d/dll.conf'...
error: Not found. SANE backend 'hpaio' NOT properly setup (needs to be added to /etc/sane.d/dll.conf).

Checking output of 'scanimage -L'...
device `v4l:/dev/video0' is a Noname BT878 video (Hauppauge (bt878)) virtual device


---------------------
| PYTHON EXTENSIONS |
---------------------

Checking 'cupsext' CUPS extension...
OK, found.

Checking 'pcardext' Photocard extension...
OK, found.

Checking 'hpmudext' I/O extension...
OK, found.

Checking 'scanext' SANE scanning extension...
OK, found.


-----------------
| USB I/O SETUP |
-----------------


Checking for permissions of USB attached printers...
 
HP Device 0x5711 at 001:005:
    Device URI: hp:/usb/Photosmart_C4100_series?serial=MY6B2G13J904J7
    Device node: /dev/bus/usb/001/005
    Mode: 0644
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/005
# owner: root
# group: root
user::rw-
group::r--
other::r--



-----------
| SUMMARY |
-----------

error: 7 errors and/or warnings.

Please refer to the installation instructions at:
http://hplip.sourceforge.net/install/index.html


Done.
Logged
Alb
Member
*
Posts: 74


« Reply #4 on: December 28, 2010, 01:03:48 pm »

Hello,
Everything is all right now. Tired out of struggling with that problem I took the time to install VL again.
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!